### Blue dither algorithm

use parent 'OnePassSystem';

sub new {
    my $class = shift;

    $self = SUPER::OnePassSystem->new;
    
    bless $self, $class;

    $self->init; ### sets bitmap undef
}


sub run {
    my ($self, $algo) = @_;

    my $componentsbag = $algo->getBag;
    my $matrixbitmap = $algo->getBitmap;

    my $bagelement1 = $componentsbag->getBagElement1;

    ### FIXME ? ->
    not $bagelement1->executeAllFunctors($matrixbitmap) or die "OnePassSystemBlue : Something went wrong executing your functors list of the first bag element, your bitmap may be incomplete.\n"; 
}

1;
